SparrowDesk
Contact fields

Create a contact field

Creates a new contact field. For dropdown type, `field_options` is required and each option is returned with its ID. Requires "manage contacts" scope.

POST
/contacts/fields
AuthorizationBearer <token>

In: header

namestring
typestring
Value in"text" | "singleLineText" | "multiLineText" | "number" | "multiselect" | "date" | "email" | "dropdown"
internal_name?string

Auto-generated from name if not provided (snake_case)

description?string
field_options?array<string>

Required for dropdown type

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://app.sparrowdesk.com/v1/contacts/fields" \  -H "Content-Type: application/json" \  -d '{    "name": "Priority Level",    "type": "dropdown"  }'
{
  "data": {
    "id": 100000144,
    "name": "Priority Level",
    "type": "dropdown",
    "internal_name": "priority_level",
    "description": "Customer priority tier",
    "is_active": true,
    "is_default": false,
    "field_options": [
      {
        "id": 24,
        "name": "Low",
        "position": 1
      }
    ],
    "created_at": 1781455256,
    "updated_at": 1781455256
  }
}
{
  "error": {
    "message": "field_options can only be provided for dropdown type fields"
  }
}
{
  "error": {
    "message": "Field with internal name 'priority_level' already exists"
  }
}
{
  "error": {
    "message": "Error while creating contact field"
  }
}